<?php 
/** 
 * @package JREALTIMEANALYTICS::EVENTSTATS::administrator::components::com_jrealtimeanalytics
 * @subpackage views
 * @subpackage eventstats
 * @subpackage tmpl
 * @author Joomla! Extensions Store
 * @copyright (C) 2014 - Joomla! Extensions Store
 * @license GNU/GPLv2 http://www.gnu.org/licenses/gpl-2.0.html  
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' );
use Joomla\CMS\Language\Text;
?>
<div class="card card-default accordion-group mb-2">
	<div class="card-header accordion-heading opened">
		<div class="accordion-toggle noaccordion">
			<h4><span class="icon-pencil" aria-hidden="true"></span><?php echo Text::_( 'COM_JREALTIME_EVENT_DETAILS' ); ?></h4>
		</div>
	</div>
	<div id="details" class="card-body card-block accordion-body">
      	<div class="accordion-inner">
			<table class="admintable">
			<tbody>
				<tr>
					<td class="key left_title">
						<label for="type" data-bs-content="<?php echo Text::_('COM_JREALTIME_EVENT_TYPE_DESC' ); ?>" class="hasPopover">
							<?php echo Text::_('COM_JREALTIME_EVENT_TYPE' ); ?>:
						</label>
					</td>
					<td class="right_details">
						<fieldset class="radio btn-group" aria-describedby="eventtype_arialbl">
							<?php echo $this->lists['type']; ?>
						</fieldset>
						<small id="eventtype_arialbl" class="form-text text-muted"><?php echo Text::_('COM_JREALTIME_EVENT_TYPE_DESC')?></small>
					</td>
				</tr> 
				<tr>
					<td class="key left_title">
						<label for="name">
							<?php echo Text::_('COM_JREALTIME_NAME' ); ?>:
						</label>
					</td>
					<td class="right_details">
						<input class="form-control" type="text" name="name" id="name" data-validation="required" aria-required="true" size="50" value="<?php echo $this->record->name;?>" />
					</td>
				</tr>
				<tr>
					<td class="key left_title">
						<label for="description">
							<?php echo Text::_('COM_JREALTIME_DESCRIPTION' ); ?>:
						</label>
					</td>
					<td class="right_details">
						<textarea class="form-control" type="text" name="description" id="description" rows="5" cols="80" ><?php echo $this->record->description;?></textarea>
					</td>
				</tr> 
				<tr>
					<td class="key left_title">
						<label for="category" data-bs-content="<?php echo Text::_('COM_JREALTIME_CATEGORY_DESC' ); ?>" class="hasPopover">
							<?php echo Text::_('COM_JREALTIME_CATEGORY' ); ?>:
						</label>
					</td>
					<td class="right_details">
						<fieldset class="radio btn-group" aria-describedby="category_arialbl">
							<?php echo $this->lists['categories'];?>
						</fieldset>
						<small id="category_arialbl" class="form-text text-muted"><?php echo Text::_('COM_JREALTIME_CATEGORY_DESC')?></small>
					</td>
				</tr> 
				<tr>
					<td class="key left_title">
						<label>
							<?php echo Text::_('COM_JREALTIME_PUBLISHED' ); ?>:
						</label>
					</td>
					<td class="right_details">
						<fieldset class="radio btn-group" data-bs-toggle="buttons">
							<?php echo $this->lists['published']; ?>
						</fieldset>
					</td>
				</tr>
				<tr>
					<td class="key left_title">
						<label data-bs-content="<?php echo Text::_('COM_JREALTIME_TRACK_GOAL_DESC' ); ?>" class="hasPopover">
							<?php echo Text::_('COM_JREALTIME_TRACK_GOAL' ); ?>:
						</label>
					</td>
					<td class="right_details">
						<fieldset class="radio btn-group" data-bs-toggle="buttons" aria-describedby="category_arialbl">
							<?php echo $this->lists['hasgoal']; ?>
						</fieldset>
						<small id="hasgoal_arialbl" class="form-text text-muted"><?php echo Text::_('COM_JREALTIME_TRACK_GOAL_DESC')?></small>
					</td>
				</tr>
				<tr>
					<td class="key left_title">
						<label for="goal_expectation" data-bs-content="<?php echo Text::_('COM_JREALTIME_TRACK_GOAL_EXPECTATION_DESC' ); ?>" class="hasPopover">
							<?php echo Text::_('COM_JREALTIME_TRACK_GOAL_EXPECTATION' ); ?>:
						</label>
					</td>
					<td class="right_details">
						<input class="form-control" type="text" data-validation="numbers" style="width:100px" name="goal_expectation" id="goal_expectation" value="<?php echo $this->record->goal_expectation;?>" aria-describedby="goalexpectation_arialbl"/>
						<small id="goalexpectation_arialbl" class="form-text text-muted"><?php echo Text::_('COM_JREALTIME_TRACK_GOAL_EXPECTATION_DESC')?></small>
					</td>
				</tr>
				<tr>
					<td class="key left_title">
						<label for="goal_expectation" data-bs-content="<?php echo Text::_('COM_JREALTIME_TRACK_GOAL_NOTIFICATION_DESC' ); ?>" class="hasPopover">
							<?php echo Text::_('COM_JREALTIME_TRACK_GOAL_NOTIFICATION' ); ?>:
						</label>
					</td>
					<td class="right_details">
						<fieldset class="radio btn-group" data-bs-toggle="buttons" aria-describedby="hasgoalnotification_arialbl">
							<?php echo $this->lists['hasgoalnotification']; ?>
						</fieldset>
						<small id="hasgoalnotification_arialbl" class="form-text text-muted"><?php echo Text::_('COM_JREALTIME_TRACK_GOAL_NOTIFICATION_DESC')?></small>
					</td>
				</tr>
				<tr>
					<td class="key left_title">
						<label for="goal_notification_emails" data-bs-content="<?php echo Text::_('COM_JREALTIME_TRACK_GOAL_NOTIFICATION_EMAILS_DESC' ); ?>" class="hasPopover">
							<?php echo Text::_('COM_JREALTIME_TRACK_GOAL_NOTIFICATION_EMAILS' ); ?>:
						</label>
					</td>
					<td class="right_details">
						<fieldset class="radio btn-group">
							<input class="form-control" type="text" style="width:350px" name="goal_notification_emails" id="goal_notification_emails" value="<?php echo $this->record->goal_notification_emails;?>" aria-describedby="goalnotificationemails_arialbl"/>
						</fieldset>
						<small id="goalnotificationemails_arialbl" class="form-text text-muted"><?php echo Text::_('COM_JREALTIME_TRACK_GOAL_NOTIFICATION_EMAILS_DESC')?></small>
					</td>
				</tr>
			</tbody>
			</table>
		</div>
	</div>
</div>