<?php
/** 
 * @package JREALTIMEANALYTICS::EVENTSTATS::administrator::components::com_jrealtimeanalytics
 * @subpackage views
 * @subpackage eventstats
 * @subpackage tmpl
 * @author Joomla! Extensions Store
 * @copyright (C) 2014 - Joomla! Extensions Store
 * @license GNU/GPLv2 http://www.gnu.org/licenses/gpl-2.0.html  
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' );
use Joomla\CMS\Language\Text;
?>
<div class="card card-default accordion-group accordion-custom-params">
	<div class="card-header accordion-heading opened">
		<div class="accordion-toggle noaccordion">
			<h4><span class="icon-pencil" aria-hidden="true"></span><?php echo Text::_( 'COM_JREALTIME_EVENT_SETTINGS' ); ?></h4>
		</div>
	</div>
	
	<div id="minpagesparams" class="card-body card-block accordion-body configform">
		<div class="accordion-inner">
			<div class="control-group">
				<div class="control-label">
					<label class="hasPopover" data-bs-content="<?php echo Text::_('COM_JREALTIME_CHOOSE_TRACKING_MODE_DESC');?>" ><?php echo Text::_('COM_JREALTIME_CHOOSE_TRACKING_MODE');?></label>
				</div>
				<fieldset id="params_viewtype" class="radio btn-group" data-bs-toggle="buttons" aria-describedby="choosetrackingmode_arialbl">
					<?php echo $this->lists['viewtype'];?>
				</fieldset>
				<small id="choosetrackingmode_arialbl" class="form-text text-muted"><?php echo Text::_('COM_JREALTIME_CHOOSE_TRACKING_MODE_DESC')?></small>
			</div>
			
			<div class="control-group">
				<div class="control-label">
					<label for="menupage" class="hasPopover" data-bs-content="<?php echo Text::_('COM_JREALTIME_CHOOSE_MENU_PAGE_DESC');?>" ><?php echo Text::_('COM_JREALTIME_CHOOSE_MENU_PAGE');?></label>
				</div>
				<div class="controls" aria-describedby="choosemenupage_arialbl">
					<?php echo $this->lists['menupage'];?>
				</div>
				<small id="choosemenupage_arialbl" class="form-text text-muted"><?php echo Text::_('COM_JREALTIME_CHOOSE_MENU_PAGE_DESC')?></small>
			</div>
			<div class="control-group">
				<div class="control-label">
					<label for="urlpage" class="hasPopover" data-bs-content="<?php echo Text::_('COM_JREALTIME_SET_CUSTOM_URL_DESC');?>" ><?php echo Text::_('COM_JREALTIME_SET_CUSTOM_URL');?></label>
				</div>
				<div class="controls">
					<div class="input-group">
						<span class="input-group-text"><span class="icon-pencil-2" aria-hidden="true"></span></span>
						<input type="text" data-switcher="1" class="inputbox inputbox-large" name="params[urlpage]" id="urlpage" data-validation="url" data-url="1" value="<?php echo $this->record->params->get('urlpage', null);?>" aria-describedby="urlpage_arialbl"/>
					</div>
					<small id="urlpage_arialbl" class="form-text text-muted"><?php echo Text::_('COM_JREALTIME_SET_CUSTOM_URL_DESC')?></small>
				</div>
			</div>
			
			<div class="control-group">
				<div class="control-label">
					<label for="mintime_mins" class="hasPopover" data-bs-content="<?php echo Text::_('COM_JREALTIME_MINTIME_DESC');?>" ><?php echo Text::_('COM_JREALTIME_MINTIME');?></label>
				</div>
				<div class="controls">
					<div class="input-group">
						<span class="input-group-text" aria-label="<?php echo Text::_('COM_JREALTIME_MINTIME_MINUTES');?>"><span class="icon-clock" aria-hidden="true"></span> <?php echo Text::_('COM_JREALTIME_MINTIME_MINUTES' ); ?>:</span>
						<input type="number" min="0" max="60" class="inputbox" name="params[mintime_mins]" id="mintime_mins" data-validation="required numbers range" value="<?php echo $this->record->params->get('mintime_mins', '00');?>" aria-describedby="mintime_arialbl"/>
					</div>
					
					<div class="input-group">
						<span class="input-group-text" aria-label="<?php echo Text::_('COM_JREALTIME_MINTIME_SECONDS');?>"><span class="icon-clock" aria-hidden="true"></span> <?php echo Text::_('COM_JREALTIME_MINTIME_SECONDS' ); ?>:</span>
						<input type="number" min="0" max="60" class="inputbox" name="params[mintime_secs]" id="mintime_secs" data-validation="required numbers range" value="<?php echo $this->record->params->get('mintime_secs', '00');?>" aria-describedby="mintime_arialbl"/>
					</div>
					
					<small id="mintime_arialbl" class="form-text text-muted"><?php echo Text::_('COM_JREALTIME_MINTIME_DESC')?></small>
				</div>
			</div>
		</div>
	</div>
</div>
